<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <LinearLayout
        android:orientation="vertical"
        android:background="@drawable/bg_patrol_task_detail"
        android:layout_width="match_parent"
        android:paddingBottom="20dp"
        android:layout_height="wrap_content">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <ImageView
                android:layout_gravity="center_vertical"
                android:id="@+id/moudle_patrol_detail_iv_back"
                android:src="@mipmap/back_hd"
                android:paddingTop="4dp"
                android:paddingBottom="4dp"
                android:paddingRight="5dp"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="30dp" />
            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.5"/>
            <TextView
                android:text="任务详情"
                android:textColor="@color/white"
                android:textSize="15sp"
                android:gravity="center"
                android:layout_width="0dp"
                android:layout_weight="3"
                android:layout_height="50dp" />
            <TextView
                android:textColor="@color/white"
                android:gravity="center"
                android:layout_width="0dp"
                android:layout_weight="1.5"
                android:layout_height="match_parent" />
        </LinearLayout>
         <TextView
             android:id="@+id/moudle_patrol_detail_tv_task_name"
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:paddingLeft="30dp"
                android:paddingRight="30dp"
                android:fontFamily="sans-serif-medium"
                android:textSize="15sp"
                android:gravity="center_vertical"
                android:textColor="@color/white"/>
        <TextView
            android:id="@+id/moudle_patrol_detail_tv_task_endtime"
            android:layout_width="match_parent"
            android:textSize="13sp"
            android:fontFamily="sans-serif-smallcaps"
            android:layout_marginTop="8dp"
            android:layout_height="30dp"
            android:paddingLeft="30dp"
            android:paddingRight="30dp"
            android:textColor="#FFCACACA" />
        <TextView
            android:id="@+id/moudle_patrol_detail_tv_task_content"
            android:paddingLeft="30dp"
            android:paddingRight="30dp"
            android:paddingBottom="8dp"
            android:textSize="14sp"
            android:textColor="@color/white"
            android:gravity="center_vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>
        <TextView
            android:id="@+id/moudle_patrol_detail_tv_worker"
            android:paddingLeft="30dp"
            android:paddingRight="30dp"
            android:paddingTop="8dp"
            android:textSize="14sp"
            android:textColor="@color/white"
            android:gravity="center_vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>
        <TextView
            android:id="@+id/moudle_patrol_detail_tv_finish_time"
            android:paddingLeft="30dp"
            android:paddingRight="30dp"
            android:paddingTop="8dp"
            android:paddingBottom="5dp"
            android:textSize="14sp"
            android:textColor="@color/white"
            android:gravity="center_vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>

    </LinearLayout>
    <TextView
        android:id="@+id/moudle_patrol_detail_tv_task_result"
        android:background="@color/error_yellow"
        android:textColor="@color/white"
        android:textSize="16sp"
        android:paddingTop="8dp"
        android:paddingLeft="16dp"
        android:paddingRight="16dp"
        android:paddingBottom="25dp"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:paddingTop="15dp"
        android:background="@drawable/bg_patrol_point_list"
        android:layout_marginTop="-15dp"
        android:layout_marginBottom="15dp"
        android:layout_weight="1">
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/moudle_patrol_detail_rcview_point"
            android:layout_width="match_parent"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:layout_height="match_parent"/>
    </LinearLayout>
    <androidx.cardview.widget.CardView
        android:id="@+id/moudle_patrol_detail_cv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:elevation="3dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="62dp"
            android:orientation="horizontal">
            <LinearLayout
                android:id="@+id/moudle_patrol_detail_ll_sub_fault"
                android:layout_width="50dp"
                android:layout_marginLeft="15dp"
                android:layout_height="match_parent"
                android:paddingTop="11dp"
                android:paddingBottom="8dp"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:padding="1dp"
                    android:layout_weight="0.6"
                    android:src="@mipmap/moudle_patrol_task_sub_fault" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="18dp"
                    android:gravity="center"
                    android:textColor="#FF868686"
                    android:textSize="12sp"
                    android:text="异常上报" />
            </LinearLayout>
            <LinearLayout
                android:id="@+id/moudle_patrol_detail_ll_add_remark"
                android:layout_width="50dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="15dp"
                android:paddingTop="11dp"
                android:paddingBottom="8dp"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:padding="3dp"
                    android:layout_weight="0.6"
                    android:src="@mipmap/moudle_patrol_task_remark" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="18dp"
                    android:gravity="center"
                    android:textColor="#FF868686"
                    android:textSize="12sp"
                    android:text="填写备注" />
            </LinearLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="horizontal">
                <Button
                    android:id="@+id/moudle_patrol_detail_btn_unfinish"
                    style="@style/wrap_layout_yellow"
                    android:visibility="gone"
                    android:layout_width="0dp"
                    android:layout_height="33dp"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginRight="5dp"
                    android:layout_marginBottom="10dp"
                    android:layout_weight="1"
                    android:text="无法执行"
                    android:textColor="@color/white" />
                <Button
                    android:id="@+id/moudle_patrol_detail_btn_off_line"
                    style="@style/wrap_layout_yellow"
                    android:layout_width="0dp"
                    android:layout_height="33dp"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginRight="5dp"
                    android:layout_marginBottom="10dp"
                    android:layout_weight="1"
                    android:text="离线缓存"
                    android:textColor="@color/white" />
                <Button
                    android:id="@+id/moudle_patrol_detail_btn_sub_task"
                    android:visibility="gone"
                    android:text="提  交"
                    style="@style/wrap_layout_blue"
                    android:layout_marginTop="15dp"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="15dp"
                    android:layout_marginBottom="10dp"
                    android:textColor="@color/white"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="33dp" />
            </LinearLayout>
        </LinearLayout>
    </androidx.cardview.widget.CardView>
    <LinearLayout
        android:id="@+id/moudle_patrol_detail_ll_sub"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        android:orientation="vertical">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:orientation="horizontal">
        <Button
            android:id="@+id/moudle_patrol_detail_btn_sub_fault"
            style="@style/wrap_layout_red"
            android:text="异常上报"
            android:textColor="@color/white"
            android:layout_width="0dp"
            android:layout_margin="5dp"
            android:layout_height="match_parent"
            android:layout_weight="1"/>
    </LinearLayout>
    </LinearLayout>

</LinearLayout>
